NAZKAR Posted July 7, 2022 Posted July 7, 2022 I have a drawing that has roughly 12,500 3d polylines. they all need labels spaced every 150 feet on the line. is there a way to select all the lines at once and have them be labeled? Could a LISP be written to accomplish this task? I have several LISP that i can pick one point at a time but that would take me forever to do this amount of labeling. i have attached a sample for your viewing pleasure and a brief glimpse into my problem. test drawing.dwg Quote
BIGAL Posted July 8, 2022 Posted July 8, 2022 (edited) They are contour lines correct ? So do you want say contour labels done by dragging a line across would make more sense the same way CIV3D does it. This will give a neat pattern, if you do at 150 spacing the labels will be all over the place. If you use (ssget "F" (list pt1 pt2)) you can get a selection of the crossing 3dpolys using getcoordinates you can look a the 3rd item in the list that is the Z value. Ok so before say I or others do something is that ok draw lines for contour points. Edited July 8, 2022 by BIGAL 1 Quote
Steven P Posted July 9, 2022 Posted July 9, 2022 (edited) Label? If they are contour lines then the labels are gong to be repeated for contours at the same height and the same along the line? Could try looking at a chainage command, some of the LISPs allow you to place a custom block along the line, alter that to be the contour height? (this would need a check on the direction the line is drawn else your text might be upside down and right way up on different lines) My initial thought would be to look at custom line types, something like ----50m---- which should put '50m' along the line, then a LISP to alter line type to the elevation. Noting that you might not need to alter every line, common in mapping to only label every say 50m multiple (50m 100, 150...), you might only need to look for lines on that elevation (and also cuts down the number of custom line types to make up) Oh, both would need ssget, like BigAl to get the points and the Z axis Edited July 9, 2022 by Steven P Quote
Steven P Posted July 9, 2022 Posted July 9, 2022 On 7/8/2022 at 1:45 AM, BIGAL said: They are contour lines correct ? So do you want say contour labels done by dragging a line across would make more sense the same way CIV3D does it. This will give a neat pattern, if you do at 150 spacing the labels will be all over the place. If you use (ssget "F" (list pt1 pt2)) you can get a selection of the crossing 3dpolys using getcoordinates you can look a the 3rd item in the list that is the Z value. Ok so before say I or others do something is that ok draw lines for contour points. You'd perhaps also want to calculate the line direction at that point so the text is parallel to the contour rather than horizontal to the page? Quote
BIGAL Posted July 10, 2022 Posted July 10, 2022 Steven P you are right would actually draw a pline then sq off it draw the intersecting lines for the position of the labels. Again though a civil package would be best solution this sort of solution is built in. 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.